Lines Matching +full:local +full:- +full:pid
2 # SPDX-License-Identifier: GPL-2.0-only
7 # Exit with error if a local exported symbol is found.
10 set -e
11 pid=$$
13 # If there is no symbol in the object, ${NM} (both GNU nm and llvm-nm) shows
16 # hand-crafted error message here.
19 # Use --quiet instead of 2>/dev/null when we upgrade the minimum version of
22 # { ${NM} --quiet ${1} || kill 0; } |
24 { ${NM} ${1} 2>/dev/null || { echo "${0}: ${NM} failed" >&2; kill $pid; } } |
25 ${AWK} -v "file=${1}" '
39 # For Clang LTO, llvm-nm outputs a line with type t but empty name:
40 # "---------------- t"
59 # nm(3) says "If lowercase, the symbol is usually local"
60 if (symbol_types[name] ~ /[a-z]/) {
61 printf "%s: error: local symbol %s was exported\n",